## edk2 2024.05

=== debian/changelog ===
edk2 (2024.05-2ubuntu0.3) oracular-security; urgency=medium

   * Disable the built-in Shell when SecureBoot is enabled (LP: #2101797)
   * d/tests/shell.py: Align aarch64 snakeoil tests w/ x64.
   * SECURITY UPDATE: UEFI Shell accessible in AAVMF with Secure Boot enabled
     - CVE-2025-2486

 -- Mate Kukri <mate.kukri@canonical.com>  Wed, 07 May 2025 15:51:19 +0100

edk2 (2024.05-2ubuntu0.2) oracular; urgency=medium

  * Disable the built-in Shell when SecureBoot is enabled (LP: #2101797)
  * SECURITY UPDATE: UEFI Shell accessible in AAVMF with Secure Boot enabled
    - CVE-2025-2486

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 21 Mar 2025 12:32:12 +0000

edk2 (2024.05-2ubuntu0.1) oracular; urgency=medium

  * qemu-efi-riscv64: Fix crash in KVM-based emulation (LP: #2036604):
    - d/p/0001-MdePkg-BaseLib-RISC-V-Add-FPU-CSR-constants.patch
    - d/p/0002-UefiCpuPkg-RiscV64-initialize-FPU.patch
    - d/p/0003-OvmfPkg-RiscV64-build-BaseRiscVFpuLib.patch

 -- dann frazier <dannf@ubuntu.com>  Sun, 06 Oct 2024 12:39:00 -0600

edk2 (2024.05-2) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * d/rules: Unexport ELF_PACKAGE_METADATA, which causes an FTBFS due
   to misalignment issues on ELF sections. (LP: #2078252)

 -- dann frazier <dannf@debian.org>  Wed, 04 Sep 2024 20:07:05 -0600

edk2 (2024.05-1) unstable; urgency=medium

  * New upstream release, based on edk2-stable202405 tag:
    - Include new SpdmLib submodule.
    - d/binary-check.ignore: Add new upstream files.

 -- dann frazier <dannf@debian.org>  Tue, 04 Jun 2024 10:56:31 -0600
