=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,9 @@
 ifeq ($(DEB_BUILD_ARCH),arm64)
 	EDK2_BUILD_ARCH=AARCH64
 endif
+
+# LP: #2078252
+unexport ELF_PACKAGE_METADATA
 
 PCD_RELEASE_DATE = $(shell date -d@$(SOURCE_DATE_EPOCH) "+%m/%d/%Y")
 PCD_FLAGS  = --pcd PcdFirmwareVendor=L"$(shell lsb_release -is) distribution of EDK II\\0"
@@ -67,12 +70,10 @@
 OVMF_INSTALL_DIR = debian/ovmf-install
 OVMF64_BUILD_ROOT = Build/OvmfX64
 OVMF64_BUILD_DIR = $(OVMF64_BUILD_ROOT)/$(BUILD_TYPE)_$(EDK2_TOOLCHAIN)
-AMDSEV_BUILD_ROOT = Build/AmdSev
-AMDSEV_BUILD_DIR = $(AMDSEV_BUILD_ROOT)/$(BUILD_TYPE)_$(EDK2_TOOLCHAIN)
 OVMF_ENROLL = $(OVMF_INSTALL_DIR)/EnrollDefaultKeys.efi
 OVMF_SHELL =  $(OVMF_INSTALL_DIR)/Shell.efi
 OVMF_BINARIES = $(OVMF_ENROLL) $(OVMF_SHELL)
-OVMF_IMAGES := $(addprefix $(OVMF_INSTALL_DIR)/,OVMF_CODE_4M.fd OVMF_CODE_4M.secboot.fd OVMF_VARS_4M.fd OVMF.amdsev.fd)
+OVMF_IMAGES := $(addprefix $(OVMF_INSTALL_DIR)/,OVMF_CODE_4M.fd OVMF_CODE_4M.secboot.fd OVMF_VARS_4M.fd)
 OVMF_PREENROLLED_VARS := $(addprefix $(OVMF_INSTALL_DIR)/,OVMF_VARS_4M.ms.fd OVMF_VARS_4M.snakeoil.fd)
 
 OVMF32_INSTALL_DIR = debian/ovmf32-install
@@ -152,15 +153,6 @@
 		$(OVMF_INSTALL_DIR)/
 	cp $(OVMF64_BUILD_DIR)/FV/OVMF_CODE.fd \
 		$(OVMF_INSTALL_DIR)/OVMF_CODE_4M.secboot.fd
-	rm -rf $(AMDSEV_BUILD_ROOT)
-	touch OvmfPkg/AmdSev/Grub/grub.efi
-	set -e; . ./edksetup.sh; \
-		build -a X64 \
-			-t $(EDK2_TOOLCHAIN) \
-			-p OvmfPkg/AmdSev/AmdSevX64.dsc \
-			$(OVMF_COMMON_FLAGS) -b $(BUILD_TYPE)
-	cp $(AMDSEV_BUILD_DIR)/FV/OVMF.fd \
-		$(OVMF_INSTALL_DIR)/OVMF.amdsev.fd
 
 ifeq ($(call dpkg_vendor_derives_from_v1,ubuntu),yes)
 debian/PkKek-1-vendor.pem: debian/PkKek-1-Ubuntu.pem
@@ -202,3 +194,10 @@
 	PYTHONPATH=$(CURDIR)/debian/python \
 	python3 ./debian/edk2-vars-generator.py -d \
 		-f OVMF_4M -e $(OVMF_ENROLL) -s $(OVMF_SHELL) \
+		-c $(OVMF_INSTALL_DIR)/OVMF_CODE_4M.secboot.fd \
+		-V $(OVMF_INSTALL_DIR)/OVMF_VARS_4M.fd \
+		-C `< debian/oem-string-vendor` -o $@
+
+%/OVMF_VARS_4M.snakeoil.fd: %/OVMF_CODE_4M.fd %/OVMF_VARS_4M.fd debian/oem-string-snakeoil $(OVMF_ENROLL) $(OVMF_SHELL)
+	PYTHONPATH=$(CURDIR)/debian/python \
+	python3 ./debian/edk2-vars-generator.py -d \
