## edk2 2024.08

=== debian/changelog ===
edk2 (2024.08-2deepin5) unstable; urgency=medium

  * Add loongarch64 support:
    - Add qemu-efi-loongarch64 package.
      + qemu-efi-loongarch64/QEMU_EFI.fd
      + qemu-efi-loongarch64/QEMU_VARS.fd
      + qemu/firmware/60-edk2-loongarch64.json
    - Add efi-shell-loongarch64 package.
      + efi-shell-loongarch64/shellloongarch64.efi
  * Cherry-pick upstream loongarch64 patches:
    - d/p/0001-UefiCpuPkg-Adjust-the-exception-handler-logic-on-Loo.patch
    - d/p/0002-UefiCpuPkg-Add-dump-interrupt-type-on-LoongArch64.patch
    - d/p/0003-OvmfPkg-LoongArch-Enabling-some-base-libraries.patch

 -- Xiaotian Wu <wuxiaotian@loongson.cn>  Sat, 8 Feb 2025 18:13:46 +0800

edk2 (2024.08-2deepin4) unstable; urgency=medium

  * Generate OVMF.CSV.fd in build target build-ovmf:
    - d/p/0025-Change-grub.sh-to-generate-OVMF.CSV.fd-in-build-ovmf.patch

 -- hanliyang <hanliyang@hygon.cn>  Tue, 24 Dec 2024 19:50:28 +0800

edk2 (2024.08-2deepin3) unstable; urgency=medium

  * Support full-disk encryption for Hygon CSV/CSV2/CSV3 guest:
    - d/p/0024-OvmfPkg-AmdSev-Support-full-disk-encryption-based-on.patch

 -- hanliyang <hanliyang@hygon.cn>  Wed, 20 Oct 2024 17:50:28 +0800

edk2 (2024.08-2deepin2) unstable; urgency=medium

  * Support live migration for Hygon CSV/CSV2/CSV3 guest, fix nesting #VC:
    - d/p/0015-OvmfPkg-BaseMemEncryptLib-Detect-SEV-live-migration-.patch
    - d/p/0016-OvmfPkg-BaseMemEncryptLib-Hypercall-API-for-page-enc.patch
    - d/p/0017-OvmfPkg-BaseMemEncryptLib-Invoke-page-encryption-sta.patch
    - d/p/0018-OvmfPkg-VmgExitLib-Encryption-state-change-hypercall.patch
    - d/p/0019-OvmfPkg-PlatformPei-Mark-SEC-GHCB-page-as-unencrypte.patch
    - d/p/0020-OvmfPkg-AmdSevDxe-Add-support-for-SEV-live-migration.patch
    - d/p/0021-OvmfPkg-BaseMemcryptSevLib-Correct-the-calculation-o.patch
    - d/p/0022-OvmfPkg-BaseMemEncryptLib-Return-SUCCESS-if-not-supp.patch
    - d/p/0023-OvmfPkg-BaseMemEncryptLib-Save-memory-encrypt-status.patch

 -- hanliyang <hanliyang@hygon.cn>  Mon, 14 Oct 2024 15:34:28 +0000

edk2 (2024.08-2deepin1) unstable; urgency=medium

  * Add support for Hygon CSV3 feature:
    - d/p/0004-MdePkg-Add-StandardSignatureIsHygonGenuine-in-BaseCp.patch
    - d/p/0005-UefiCpuPkg-LocalApicLib-Exclude-second-SendIpi-seque.patch
    - d/p/0006-OvmfPkg-Add-CSV-secure-call-library-on-Hygon-CPU.patch
    - d/p/0007-OvmfPkg-ResetVector-Support-CSV-in-ResetVector-phase.patch
    - d/p/0008-OvmfPkg-PlatformPei-Initialize-CSV-VM-s-memory.patch
    - d/p/0009-OvmfPkg-BaseMemcryptSevLib-update-page-status-to-Sec.patch
    - d/p/0010-OvmfPkg-Tcg-Add-CsvLib-for-TpmMmioSevDecryptPei.patch
    - d/p/0011-OvmfPkg-Add-CsvDxe-driver.patch
    - d/p/0012-OvmfPkg-IoMmuDxe-Add-CsvIoMmu-protocol.patch
    - d/p/0013-OvmfPkg-Use-classic-mmio-window-for-CSV-guest.patch
    - d/p/0014-OvmfPkg-IoMmuDxe-Implement-SetAttribute-of-CsvIoMmu.patch

 -- hanliyang <hanliyang@hygon.cn>  Wed, 09 Oct 2024 21:26:28 +0000

edk2 (2024.08-2) unstable; urgency=medium

  * qemu-efi-riscv64: Fix crash in KVM-based emulation (LP: #2036604):
    - d/p/0001-MdePkg-BaseLib-RISC-V-Add-FPU-CSR-constants.patch
    - d/p/0002-UefiCpuPkg-RiscV64-initialize-FPU.patch
    - d/p/0003-OvmfPkg-RiscV64-build-BaseRiscVFpuLib.patch

 -- dann frazier <dannf@debian.org>  Fri, 04 Oct 2024 14:48:54 -0400

edk2 (2024.08-1) unstable; urgency=medium

  * New upstream release, based on edk2-stable202408 tag:
    - Vendor in the MdePkg/Library/BaseFdtLib/libfdt submodule, now
      required for building ArmVirtQemu.
    - Refresh patches:
      + d/p/no-stack-protector-all-archs.diff
      + d/p/x64-baseline-abi.patch
      + d/p/Revert-ArmVirtPkg-make-EFI_LOADER_DATA-non-executabl.patch
      + d/p/ArmVirtPkg-disable-the-EFI_MEMORY_ATTRIBUTE-protocol.patch

 -- dann frazier <dannf@debian.org>  Wed, 18 Sep 2024 14:37:47 -0600
