=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: edk2
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
+Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>, Serge Hallyn <serge.hallyn@ubuntu.com>, dann frazier <dannf@debian.org>
 Build-Depends: bc,
  debhelper-compat (= 12),
@@ -12,7 +11,10 @@
  gcc-aarch64-linux-gnu,
  gcc-arm-linux-gnueabi,
  gcc-multilib [i386],
+ gcc-loongarch64-linux-gnu,
  gcc-riscv64-linux-gnu,
+ grub-common,
+ grub-efi-amd64-bin [amd64],
  iasl,
  lsb-release,
  mtools,
@@ -70,6 +72,14 @@
  qemu-efi-aarch64 is a build of EDK II for 64-bit ARM virtual machines. It
  includes full support for UEFI, including Secure Boot.
 
+Package: qemu-efi-loongarch64
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: qemu-system-misc
+Multi-Arch: foreign
+Description: UEFI firmware for LoongArch64 virtual machines
+ qemu-efi-loongarch64 is a build of EDK II for LoongArch64 virtual machines.
+
 Package: qemu-efi-riscv64
 Architecture: all
 Depends: ${misc:Depends}
@@ -118,6 +128,16 @@
  This package contains the shellaa64.efi binary for the 64-bit ARM
  architecture.
 
+Package: efi-shell-loongarch64
+Architecture: all
+Depends: ${misc:Depends}
+Description: UEFI Shell for 64-bit LoongArch architecture
+ The UEFI Shell provides a command line interface running on top of the EFI API.
+ It can be used to execute EFI binaries, to manage EFI variables and boot
+ options, or to display details of installed devices, drivers, and protocols.
+ This package contains the shellloongarch64.efi binary for the 64-bit LoongArch
+ architecture.
+
 Package: efi-shell-riscv64
 Architecture: all
 Depends: ${misc:Depends}
