## edk2 2024.11

=== debian/changelog ===
edk2 (2024.11-2) unstable; urgency=medium

  * qemu-efi-riscv64: Add 60-edk2-riscv64.json firmware descriptor,
    thanks to Heinrich Schuchardt.

 -- dann frazier <dannf@debian.org>  Sun, 15 Dec 2024 21:05:33 -0700

edk2 (2024.11-1) unstable; urgency=medium

  * New upstream release, based on edk2-stable202411 tag:
    - d/rules: Vendor MbedTlsLib submodule. This is now required
      for building ARM.
      + Drop d/p/mbedtls-disable.diff
    - Drop patches merged upstream:
      + d/p/0001-MdePkg-BaseLib-RISC-V-Add-FPU-CSR-constants.patch
      + d/p/0002-UefiCpuPkg-RiscV64-initialize-FPU.patch
      + d/p/0003-OvmfPkg-RiscV64-build-BaseRiscVFpuLib.patch
      + d/p/0001-MdePkg-Fix-overflow-issue-in-BasePeCoffLib.patch
      + d/p/0002-MdePkg-Improving-readability-of-CVE-patch-for-PeCoff.patch
      + d/p/0001-Avoid-type-errors-in-EAI-related-name-check-logic.patch
    - Refresh patches:
      + d/p/Revert-ArmVirtPkg-make-EFI_LOADER_DATA-non-executabl.patch
      + d/p/no-stack-protector-all-archs.diff
      + d/p/x64-baseline-abi.patch

 -- dann frazier <dannf@debian.org>  Mon, 25 Nov 2024 06:51:27 -0700

edk2 (2024.08-4) unstable; urgency=medium

  * d/control, d/tests/control: Update relationships to use
    qemu-system-riscv64 instead of qemu-system-misc. Thanks to
    Michael Tokarev.

 -- dann frazier <dannf@debian.org>  Fri, 25 Oct 2024 11:46:04 -0600

edk2 (2024.08-3) unstable; urgency=medium

  * Fix overflow condition in PeCoffLoaderRelocateImage(), CVE-2024-38796:
    - d/p/0001-MdePkg-Fix-overflow-issue-in-BasePeCoffLib.patch
    - d/p/0002-MdePkg-Improving-readability-of-CVE-patch-for-PeCoff.patch
    (Closes: #1084055)
  * OpenSSL: Avoid type errors in EAI-related name check logic, CVE-2024-6119:
    - d/p/0001-Avoid-type-errors-in-EAI-related-name-check-logic.patch

 -- dann frazier <dannf@debian.org>  Thu, 24 Oct 2024 11:11:27 -0600
