=== debian/control ===
--- 
+++ 
@@ -11,10 +11,7 @@
  gcc-aarch64-linux-gnu,
  gcc-arm-linux-gnueabi,
  gcc-multilib [i386],
- gcc-loongarch64-linux-gnu,
  gcc-riscv64-linux-gnu,
- grub-common,
- grub-efi-amd64-bin [amd64],
  iasl,
  lsb-release,
  mtools,
@@ -72,18 +69,10 @@
  qemu-efi-aarch64 is a build of EDK II for 64-bit ARM virtual machines. It
  includes full support for UEFI, including Secure Boot.
 
-Package: qemu-efi-loongarch64
-Architecture: all
-Depends: ${misc:Depends}
-Suggests: qemu-system-misc
-Multi-Arch: foreign
-Description: UEFI firmware for LoongArch64 virtual machines
- qemu-efi-loongarch64 is a build of EDK II for LoongArch64 virtual machines.
-
 Package: qemu-efi-riscv64
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: qemu-system-misc
+Suggests: qemu-system-riscv64
 Multi-Arch: foreign
 Description: UEFI firmware for RISCV64 virtual machines
  qemu-efi-riscv64 is a build of EDK II for RISCV64 virtual machines.
@@ -128,16 +117,6 @@
  This package contains the shellaa64.efi binary for the 64-bit ARM
  architecture.
 
-Package: efi-shell-loongarch64
-Architecture: all
-Depends: ${misc:Depends}
-Description: UEFI Shell for 64-bit LoongArch architecture
- The UEFI Shell provides a command line interface running on top of the EFI API.
- It can be used to execute EFI binaries, to manage EFI variables and boot
- options, or to display details of installed devices, drivers, and protocols.
- This package contains the shellloongarch64.efi binary for the 64-bit LoongArch
- architecture.
-
 Package: efi-shell-riscv64
 Architecture: all
 Depends: ${misc:Depends}
