=== debian/tests/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  qemu-efi-arm,
  qemu-efi-riscv64,
  qemu-system-arm,
- qemu-system-misc,
+ qemu-system-riscv64,
  qemu-system-x86,
  sbsigntool [amd64 arm64],
  shim-signed [amd64 arm64],
